CONTENTS OF THIS FILE
---------------------

* Introduction
* Requirements
* Installation
* Configuration
* Maintainers


INTRODUCTION
------------

The "Create fields programatically" module saves you time by letting you create
fields from custom YAML configuration files.

This module is meant for development purpose and should not be installed on a 
server that faces the internet.

* For a full description of the module visit
https://www.drupal.org/project/field_create

* To submit bug reports and feature suggestions, or to track changes visit
https://www.drupal.org/project/issues/field_create


REQUIREMENTS
------------

This module does not require any additional modules outside of Drupal core.


INSTALLATION
------------

Install this module as you would normally install a contributed Drupal module.
Visit https://www.drupal.org/node/1897420 for more information.


CONFIGURATION
-------------

Enable "Create fields programmatically", either via "Extend" (/admin/modules) or via drush:
$ drush en --yes field_create

Declare your fields definitions:

1. Option 1: use the <code>hook_field_create_definitions()</code> to declare your fields.

2. Option 2: create your YAML config files manually and import them (e.g. `drush config-import`).

3. Option 3: Enable `field_create_from_json` module to be able to convert JSON file
to custom YAML config file directly from within the admin UI. Visit the admin page
at Configuration > Fields From Json Settings (admin/config/system/field-create/from-json)

Now, you can run the Drush command:
```bash
drush field-create
```

Finally, uninstall the module. All your custom configurations will be automatically
deleted (see `field_create_uninstall()` hook).


MAINTAINERS
-----------

* Matthieu Scarset (matthieuscarset) - https://www.drupal.org/u/matthieuscarset
